Page MenuHomePhabricator

Implement regex-based badwords detector
Closed, ResolvedPublic

Description

Should be more powerful than the stemmer-matching strategy we are using now.

Event Timeline

Halfak created this task.Jun 13 2015, 3:59 PM
Halfak raised the priority of this task from to Needs Triage.
Halfak updated the task description. (Show Details)
Halfak moved this task to Active on the Scoring-platform-team (Current) board.
Halfak added a subscriber: Halfak.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2015, 3:59 PM

@ToAruShiroiNeko noted that:

There appears to be a badword list on tr.wikipedia I was unaware of. We should exploit this resource. I don't think we can handle regexes yet.

https://tr.wikipedia.org/wiki/Kullan%C4%B1c%C4%B1:Manco_Capac/badwords

Halfak triaged this task as Medium priority.Jun 24 2015, 9:56 PM
Halfak set Security to None.
awight added a subscriber: awight.Aug 2 2015, 10:53 PM

I see freeform badwords regex lists, and not just stemmer strategies. Is this task done?

Halfak moved this task from Review to Done on the Scoring-platform-team (Current) board.
Halfak claimed this task.Sep 11 2015, 4:30 PM
Halfak closed this task as Resolved.Sep 19 2015, 4:09 PM